Start a reserved agent interaction
curl --request POST \
--url https://api.firedrill.run/v1/ci/suites/{ciSuiteId}/cases/{ciCaseId}/claims/{ciClaimId}/start \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"runnerId": "<string>",
"generation": 4503599627370495,
"expectedVersion": 0
}
'import requests
url = "https://api.firedrill.run/v1/ci/suites/{ciSuiteId}/cases/{ciCaseId}/claims/{ciClaimId}/start"
payload = {
"runnerId": "<string>",
"generation": 4503599627370495,
"expectedVersion": 0
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({runnerId: '<string>', generation: 4503599627370495, expectedVersion: 0})
};
fetch('https://api.firedrill.run/v1/ci/suites/{ciSuiteId}/cases/{ciCaseId}/claims/{ciClaimId}/start', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"claim": {
"schemaVersion": 1,
"claimId": "<string>",
"organizationId": "<string>",
"projectId": "<string>",
"hostedRunId": "<string>",
"interactionId": "<string>",
"expectedRunRevision": 4503599627370495,
"runnerId": "<string>",
"generation": 4503599627370495,
"version": 0,
"state": "reserved",
"createdAtMs": 0,
"updatedAtMs": 0,
"expiresAtMs": 0,
"simulationWorkId": "<string>",
"startedAtMs": 0,
"finishedAtMs": 0,
"completionOperationId": "<string>"
},
"replayed": true,
"binding": {
"schemaVersion": 1,
"sessionId": "<string>",
"environmentId": "<string>",
"buildHash": "<string>",
"actorId": "<string>",
"worldHttpUrl": "<string>",
"credential": "<string>",
"expiresAtMs": 0,
"capabilities": [
{
"packageId": "<string>",
"operationId": "<string>",
"instanceId": "<string>"
}
],
"actorInstanceId": "<string>",
"hostedRunId": "<string>",
"interactionId": "<string>",
"interactionClaim": {
"claimId": "<string>",
"generation": 4503599627370495,
"runRevision": 4503599627370495
},
"callbackReceiverBindingId": "<string>",
"worldWireHttpUrl": "<string>",
"worldWireAuthorizationHeader": "X-Firedrill-World-Authorization",
"worldMcpUrl": "<string>"
}
}{
"code": "<string>",
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"source": "platform",
"retryAfterMs": 123,
"operationId": "<string>",
"issues": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": {},
"evidence": {
"sessionId": "<string>",
"runId": "<string>",
"journalSeq": 4503599627370495,
"buildHash": "<string>"
}
}Start a reserved agent interaction
Only a fresh accepted start includes an access binding. A replay acknowledges the original start and must not invoke the customer agent again. A lost start acknowledgment is uncertain, not permission to retry the agent.
Start a reserved agent interaction
Authorizations
Opaque control credential
Headers
Required string length:
8 - 128Pattern:
^[A-Za-z0-9._:-]+$Path Parameters
Pattern:
^cisuite_[0-9a-z]{12,32}$Pattern:
^cicase_[0-9a-z]{12,32}$Pattern:
^ciclaim_[0-9a-z]{12,32}$Body
application/json